Overview
PUT/monitoring/site-groups/{id}monitoring

Update site_groups

Replace a record in site-groups by id.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • idpathstring
Request body

application/json · optional

  • nameoptionalstring
  • slugoptionalstring
  • descriptionoptionalstring?
  • retentionDaysoptionalinteger
  • displayOrderoptionalinteger
Example
{
  "name": "string",
  "slug": "string",
  "description": "string",
  "retentionDays": 0,
  "displayOrder": 0
}
Responses
200

site_groups

  • idstring
  • userIdstring
  • ownerKindstring
  • ownerIdstring
  • namestring
  • slugstring
  • descriptionstring?
  • retentionDaysinteger
  • displayOrderinteger
  • createdAtstring
  • updatedAtstring
Example
{
  "id": "string",
  "userId": "string",
  "ownerKind": "string",
  "ownerId": "string",
  "name": "string",
  "slug": "string",
  "description": "string",
  "retentionDays": 0,
  "displayOrder": 0,
  "createdAt": "string",
  "updatedAt": "string"
}
400

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/monitoring/site-groups/{id}" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "slug": "string",
  "description": "string",
  "retentionDays": 0,
  "displayOrder": 0
}'
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/monitoring/site-groups/{id}", {
  method: "PUT",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json"
  },
  body: "{\n  \"name\": \"string\",\n  \"slug\": \"string\",\n  \"description\": \"string\",\n  \"retentionDays\": 0,\n  \"displayOrder\": 0\n}",
});
const data = await res.json();